
testWindow=Turbine.UI.Lotro.Window()
testWindow:SetSize(1024,850)
testWindow:SetVisible(true)
testWindow:SetText("Stress test")
testWindow:SetWantsUpdates(false)
testID=0x41000000
count=0

testPanel=Turbine.UI.Control()
testPanel:SetParent(testWindow)
testPanel:SetSize(1024,768)
testPanel:SetPosition(0,45)

testStart=Turbine.UI.Lotro.Button()
testStart:SetParent(testWindow)
testStart:SetSize(100,20)
testStart:SetPosition(80,815)
testStart:SetText("Start")
testStart.Click=function()
	Turbine.Shell.WriteLine("Stress Test Started")
	testID=0x4115c16e
	testWindow:SetWantsUpdates(true)
end

testWindow.Closed=function()
	testWindow:SetWantsUpdates(false)
	Turbine.Shell.WriteLine("Stress Test Ended")
end
testWindow.Update=function()
	testWindow:SetWantsUpdates(false)
	if testID>0xFF000000 then
		Turbine.Shell.WriteLine("Stress Test Completed Successfully")
	else
		for k=1,0x100 do
			testID=testID+1
--			Turbine.Engine.ScriptLog("testing:"..string.format("0x%x",testID))
			local success,result=pcall(Turbine.UI.Control.SetBackground,testPanel,testID)
			if not success then
				Turbine.Engine.ScriptLog(string.format("0x%x",testID)..": "..result)
			else
-- now check size
testPanel:SetStretchMode(2)
x,y=testPanel:GetSize()
if x==200 and y==200 then
Turbine.Shell.WriteLine(string.format("0x%x",testID)..": 200x200")
Turbine.Engine.ScriptLog(string.format("0x%x",testID)..": 200x200")
end
testPanel:SetStretchMode(0)
testPanel:SetSize(1024,768)
				count=count+1
				Turbine.Engine.ScriptLog(string.format("0x%x",testID)..": passed ("..tostring(count)..")")
			end
		end
-- forced garbage collection just to verify that the caching isn't due to Lua
 collectgarbage("collect")
		testOutput:SetText(string.format("0x%x",testID))
		Turbine.Engine.ScriptLog(string.format("0x%x",testID))
		testWindow:SetWantsUpdates(true)
	end
end

testOutput=Turbine.UI.Label()
testOutput:SetParent(testWindow)
testOutput:SetSize(640,20)
testOutput:SetPosition(192,815)
